# MxCustomStruct Enumeration

Namespace: `ArchestrA.Toolkit`

**Syntax**

class MxCustomStruct

```csharp
{
public byte[] Data;
public int Guid;

public MxCustomStruct();
public MxCustomStruct(int guid);

public static bool operator !=(MxCustomStruct x, MxCustomStruct y);
public static bool operator ==(MxCustomStruct source, MxCustomStruct result);

public override bool Equals(object obj);
public override int GetHashCode();
}
```

### Members

Guid

Unique type identifier for the custom structure for type-checking.
